Bug 243256 - (CVE-2007-0958) CVE-2007-0958 core-dumping unreadable binaries via PT_INTERP
CVE-2007-0958 core-dumping unreadable binaries via PT_INTERP
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Jason Baron
Martin Jenner
impact=low,source=vendorsec,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 06:09 EDT by Marcel Holtmann
Modified: 2016-05-20 10:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0488
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 14:05:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-06-08 06:09:42 EDT
CVE-2004-1073 is still an issue -- a patched PoC can still cause a
coredump of a non-readable binary such as /usr/bin/sudo; PoC attached;
the tweak is question is adding:

  eph.p_memsz = 4097;

Run "./poc /usr/bin/sudo" and a "core" spits out -- WFM on a 2.6.17.x
kernel.

To reproduce, do
* grab poc at the end of advisory.
* add line "eph.p_memsz = 4096;" after "eph.p_filesz = 4096;"
  where first "4096" is something equal to or greater than 4096.
* ./poc /usr/bin/sudo && ls -l

Here I get:

  -rw------- 1 ad   ad	 102400 2007-01-15 19:17 core
  ---s--x--x 2 root root 101820 2007-01-15 19:15 /usr/bin/sudo

Check for MAY_READ as binfmt_misc.c does.
Comment 1 Jason Baron 2007-06-12 11:32:50 EDT
committed in stream rhel‑4.5.z build 55.0.1
Comment 4 Red Hat Bugzilla 2007-06-25 14:05:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0488.html

Note You need to log in before you can comment on or make changes to this bug.